<template>
  <ul class="commits" style='list-style-type:none;margin:0px;padding:0px'>
    <li v-for="(commit, index) in liste" :key="index" @click="$store.commit('SELECT', commit.authorId)">
      <span class='auteur'>{{ commit.auteur }}</span>
      <div style='font-style:italic;font-size:0.9rem' v-html="commit.message"></div>
    </li>
  </ul>
</template>

<script>
export default {
  computed: {
    liste () {
      var res = []
      if (!this.$store.state.commits || !this.$store.state.users) return res
      this.$store.state.commits.forEach((commit) => {
        let author = this.$store.getters['getUserById'](commit.author)
        res.push({
          message: commit.commit.message.replace(/\n/g, '<br />'),
          auteur: author ? author.name : "L'homme invisible",
          authorId: commit.author
        })
      })
      return res
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>
.commits li{
  display:block;
  padding:7px;
  border:2px solid #dadada;
  border-radius:2px;
  margin-top:5px;
  cursor:pointer;
}
.commits li:hover{
  background-color: #eee;
}
.commits .auteur{
  color: rgb(64, 158, 255);
  font-size: .8rem;
}
</style>
